/* Generics | The main body */

*{
    margin: 0px;
    padding: 0px;
    font-family:"Orbitron", sans-serif;
    font-weight:400;
    color:#EBEBEB;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_1.cur")5 5, auto;
}

img {
    -webkit-user-drag: none;
    -moz-user-drag: none;
    -ms-user-drag: none;
    user-select: none;
    pointer-events: none;
}

a {
    text-decoration: none;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur") 5 5, auto;
}

::selection {
  color: #111010;
  background: #EBEBEB;
}

input::selection {
    color: #EBEBEB;
    background-color: #111010;
}

::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background: #111010;
}

::-webkit-scrollbar-thumb {
  background: #EBEBEB;
  border-radius: 0px;
}

::-webkit-scrollbar-thumb:hover {
  background: #EBEBEB;
}

/* h6 is reserved for black text in white background */

h6{
    color: #111010;
}

h6::selection {
  color: #EBEBEB;
  background: #111010;
}


body{
    background-color: #111010;
}

#Home_main{
    background-color: #111010;
}

#main_border{
    border: 3px #EBEBEB solid;
    margin-inline: 2%;
    margin-top: 3vh;
    width: 96%;
}

/* Navbar style */

#navbar{
    border-bottom: 3px #EBEBEB solid;
    height: 10vh;
    min-height: 40px;
    display: grid;
    grid-template-columns: 10vh 1fr 3fr 10vh;
}

/* Navbar exception media query */
@media (max-height:400px) {
    #navbar{
        grid-template-columns: 40px 1fr 3fr 40px;
    }
}

#Logo_container{
    border-right: #EBEBEB 3px solid;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    min-width: 40px;
    min-height: 40px;
}

#Logo_container a{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 70%;
    width: 70%;
}

#Logo_container img{
    width: 100%;
    height: auto;
}

#Title_container{
    border-right: #EBEBEB 3px solid;
    display: flex;
    justify-content: center;
    align-items: center;
}

#Title_container h1{
    font-size: 1.7vw;
}

#Links_container{
    border-right: #EBEBEB 3px solid;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

#Links_container a{
    font-size: 1.5vw;
}

#Qr_container{
    display: flex;
    justify-content: center;
    align-items: center;
    min-width: 40px;
    min-height: 40px;
}

#Qr_container img{
    height: 90%;
    width: 90%;
}

#Menu_container{
    display: none;
}

/* Contact Hero style */

#contact_main{
    height: 85vh;
    min-height: 600px;
    max-height: 1200px;
    border-bottom: 3px #EBEBEB solid;
    display: grid;
    align-items: end;
}

#contact_main_hero{
    display: flex;
    justify-content: end;
    align-items: center;
    position: relative;
}

#contact_quote_slider{
    width: 100%;
    position: absolute;
    z-index: 10;
    overflow: hidden;
}

#contact_quote_track{
    display: flex;
    width: max-content;
    animation: scrollLeft 25s linear infinite;
}

#contact_main_hero h1{
    font-size: 7vw;
    font-family: "Pixelify sans", sans-serif;
    padding-right: 15vw;
}

#contact_main_hero img{
    width: 35vw;
    margin-right: 10vw;
    z-index: 20;
}

#contact_main_sub{
    font-size: 1vw;
    margin: 2rem;
}

@keyframes scrollLeft{
    from{
        transform: translateX(0);
    }
    to{
        transform: translateX(-50%);
    }
}

/* Contact form */

#cta_container{
    display: flex;
    justify-content: space-between;
    align-items: start;
    margin:2vw;
}

#encouraging_Text{
    margin-top: 6rem;
}

#encouraging_Text_title{
    display: flex;
    justify-content: start;
    align-items: center;
    margin-bottom: 1rem;
}

#encouraging_Text_title img{
    width: 70px;
    margin-right: 2rem;
}

#encouraging_Text_title h1{
    font-size: 1.8vw;
    font-weight: 100;
}


#encouraging_Text h2{
    font-size: 1.2vw;
    font-weight: 100;
    font-family: "Space grotesk", sans-serif;
    width: 30vw;
}

#contact_form h1{
    margin-top: 2vh;
    font-size: 0.8vw;
    font-weight: 400;
}

#contact_form input{
    width: 40vw;
    height: 40px;
    background-color: #ebebeb28;
    border: none;
    margin-top: 1vh;
    padding-inline: 1rem;
    font-family: "Space grotesk", sans-serif;
    font-size: 16px;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur")0 0, pointer;
}

#contact_form textarea{
    width: 40vw;
    height: 100px;
    background-color: #ebebeb28;
    border: none;
    margin-top: 1vh;
    padding-inline: 1rem;
    padding-top: 2vh;
    font-family: "Space grotesk", sans-serif;
    font-size: 16px;
    resize: none;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur")0 0, pointer;
}

#submit_button{
    border: 3px #EBEBEB solid;
    width: 100%;
    height: 40px;
    background-color: #111010;
    font-family: "Space grotesk", sans-serif;
    font-size: 16px;
    margin-top: 2vh;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur")0 0, pointer;
}

/* Newsletter section styles */

#Newsletter_section{
    height: 20vh;
    min-height: 200px;
    background-color: #EBEBEB;
    margin-bottom: 20vh;
    margin-top: 15vh;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-inline: 5vw;
}

#Newsletter_title{
    font-size: 1.8vw;
    font-weight: 400;
    margin-bottom: 1rem;
}

#Newsletter_description{
    font-family: "Space grotesk", sans-serif;
    font-size: 1.2vw;
}

#email_input_container{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#email_input{
    display: flex;
    justify-content: space-between;
    align-items: center;
    border: #111010 1px solid;
    padding: 5px;
    border-radius: 50px 0px 0px 50px;
    width: 30vw;
}

#email_input input{
    font-size: 1.2vw;
    color: #111010;
    background-color: #EBEBEB;
    border: none;
    height: 65px;
    padding-inline: 1vw;
    border-radius: 50px 0px 0px 50px;
    flex-grow: 1
}

#CTA5{
    height: 65px;
    width: 145px;
    background-color: #9370DB;
    color: #EBEBEB;
    display: flex;
    justify-content: center;
    align-items: center;
    border: #111010 1px solid;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur")0 0, pointer;
}

#CTA5 a{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur")0 0, pointer;
}

#CTA5 h1{
    font-size: 1.2vw;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur")0 0, pointer;
}

/* Social media section styles */

#notif_container{
    margin-bottom: 20vh;
}

#notif_quote_slider{
    width: 100%;
    overflow: hidden;
    height: 10vh;
    min-height: 120px;
    max-height: 160px;
    border-top: 3px #EBEBEB solid;
    display: flex;
    align-items: center;
}

#notif_quote_track{
    display: flex;
    width: max-content;
    animation: scrollLeft 15s linear infinite reverse;
}

#notif_quote{
    display: flex;
    width: max-content;
    align-items: center;
}

#notif_quote h1{
    font-family: "Pixelify sans", sans-serif;
    font-size: 3vw;
    letter-spacing: 30%;
    padding-right: 10vw;
}

#notif_quote img{
    width: 3vw;
    padding-right: 10vw;
}

#notif_slider_2{
    height: 10vh;
    min-height: 120px;
    max-height: 160px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: #EBEBEB;
    border-top: 3px #111010 solid;
    border-bottom: 3px #111010 solid;
}

#notif_quote_slider_2{
    width: 100%;
    overflow: hidden;
    height: 10vh;
    min-height: 120px;
    max-height: 160px;
    border-bottom: 3px #EBEBEB solid;
    display: flex;
    align-items: center;
}

#social_container{
    border: 3px #111010 solid;
    height: 6vh;
    width: 6vh;
    min-height: 60px;
    min-width: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur")0 0, pointer;
}

#social_container img{
    height: 50%;
    width: 50%;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur")0 0, pointer;
}

#notif_quote_slider_2 #notif_quote_track{
    animation: scrollLeft 18s linear infinite;
}


/* Footer section styles */

#Footer_section{
    display: grid;
    margin-top: 10vh;
}

#main_footer{
    display: flex;
    justify-content: space-between;
    align-items: start;
    margin-inline: 2%;
    padding-bottom: 10vh;
}

#footer_description{
    width: auto;
}

#footer_description div{
    display: flex;
    justify-content: start;
    align-items: center;
    margin-bottom: 1rem;
}

#footer_description div img{
    width: 50px;
    margin-right: 1rem;
}

#footer_description div h1{
    font-size: 1vw;
    font-weight: 500;
    margin-right: 1rem;
}

#footer_description_text{
    width: 20vw;
    font-size: 1vw;
    font-weight: 100;
    font-family: "Space grotesk", sans-serif;
}

#footer_links{
    height: 300px;
    width: 10vw;
    display: grid;
    grid-template-rows: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
}

#footer_links a{
    text-decoration: none;
    justify-self: start;
    align-self: center;
}

#footer_links h1{
    font-family: "Space grotesk", sans-serif;
    font-size: 1vw;
    color: #9470db80;
    font-weight: 100;
}

#footer_links h2{
    font-family: "Space grotesk", sans-serif;
    font-size: 1vw;
    font-weight: 100;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur")0 0, pointer;
}

#Copyright_section{
    margin-top: 1vh;
    margin-bottom: 10px;
    padding-inline: 2rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 10vh;
}

#Copyright_text h1{
    font-size: 1vw;
}

#Copyright_text div{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#Copyright_text h2{
    color: #9370DB;
    font-size: 1vw;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur")0 0, pointer;
}

#footer_logo{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#footer_logo img{
    height: 40px;
    margin-right: 1vw;
}

#footer_logo h1{
    font-size: 1.3vw;
    font-weight: 500;
}

















/* Style for Screens between 1500px width & 1100px width */

@media (max-width:1500px) {

/* Generics | The main body */

#main_border{
    border: 2px #EBEBEB solid;
}

/* Navbar style */


#navbar{
    border-bottom: #EBEBEB 2px solid;
}
#Links_container{
    border-right: #EBEBEB 2px solid;
}

/* Newsletter section styles */

#Newsletter_section{
    min-height: 150px;
    max-height: 200px;
}

#email_input input{
    height: 40px;
}

#CTA5{
    height: 40px;
    width: 100px;
}


/* Contact form */

#cta_container{
    display: flex;
    justify-content: space-between;
    align-items: start;
    margin:2vw;
    min-height: 500px;
}



/* Social media section styles */

#notif_container{
    margin-bottom: 20vh;
}

#notif_quote_slider{
    width: 100%;
    overflow: hidden;
    height: 10vh;
    min-height: 120px;
    max-height: 120px;
    border-top: 3px #EBEBEB solid;
    display: flex;
    align-items: center;
}

#notif_quote img{
    width: 3vw;
}

#notif_slider_2{
    height: 10vh;
    min-height: 120px;
    max-height: 120px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: #EBEBEB;
    border-top: 3px #111010 solid;
    border-bottom: 3px #111010 solid;
}

#notif_quote_slider_2{
    min-height: 120px;
    max-height: 120px;
}

#social_container{
    border: 3px #111010 solid;
    height: 6vh;
    width: 6vh;
    min-height: 60px;
    min-width: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
}

}










/* Style for Screens between 1100px width & 800px width */

@media (max-width:1100px) {

/* Generics | The main body */

#main_border{
    border: 1px #EBEBEB solid;
}

/* Navbar style */


#navbar{
    border-bottom: 1px #EBEBEB solid;
}

#Logo_container{
    border-right: 1px #EBEBEB solid;
}

#Title_container{
    border-right: 1px #EBEBEB solid;
}

#Links_container{
    border-right: #EBEBEB 1px solid;
}

/* Newsletter section styles */

#Newsletter_section{
    min-height: 100px;
    max-height: 150px;
}

#email_input input{
    height: 30px;
}

#CTA5{
    height: 30px;
    width: 80px;
}

/* Footer section styles */

#main_footer{
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-auto-rows: auto;
    margin-inline: 2%;
    padding-bottom: 10vh;
}

#footer_description{
    width: 100%;
    grid-column: 1 / -1;
}

#footer_description div{
    justify-content: center;
}

#footer_description div img{
    width: 5vw;
    margin-right: 1rem;
}

#footer_description div h1{
    font-size: 2vw;
}

#footer_description_text{
    width: 100%;
    font-size: 1.5vw;
    text-align: center;
    margin-bottom: 50px;
}

#footer_links{
    height: 200px;
    width: auto;
    display: grid;
    justify-content: center;
}

#footer_links h1{
    font-family: "Space grotesk", sans-serif;
    font-size: 1.5vw;
    font-weight: 100;
}

#footer_links h2{
    font-family: "Space grotesk", sans-serif;
    font-size: 1.5vw;
}
}











/* Style for Screens under 800px width */

@media (max-width:800px) {

/* Navbar style */

#navbar{
    border-bottom: 1px #EBEBEB solid;
    height: 7vh;
    min-height: 40px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#Logo_container{
    height: 7vh;
    width: 7vh;
    min-height: 40px;
    min-width: 40px;
}

#Logo_container img{
    height: 100%;
    width: 100%;
}

#Title_container{
    border: 0px;
}

#Title_container h1{
    font-size: 4vw;
}

#Links_container{
    display: none;
}

#Qr_container{
    display: none;
}

#Menu_container{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 7vh;
    width: 7vh;
    min-height: 40px;
    min-width: 40px;
    border-left: 1px #EBEBEB solid;
    z-index: 100;
}

.hidden-menu {
    background-color: #111010;
    border-left: 1px solid #EBEBEB;
    background-image: url(../Assets/Home/PNGs/Amazigh_script.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
    width: 100%;
    max-width: 450px;
    position: fixed;
    top: 0;
    right: -450px;
    display: flex;
    flex-direction: column;
    align-items: center;    
    justify-content: center;
    gap: 10vh;
    text-align: center;
    font-size: 3rem;
    transition: .6s ease;
}

.hidden-menu-link {
    display: flex;
    justify-content: center;
    align-items: center;
}

.hidden-menu.active {
    right: 0;
}

.hidden-menu a{
    font-size: 5vw;
}

.hidden-menu.active a{
    font-size: 5vw;
}

.menu-button {
    height: 100%;
    width: 100%;
    margin-left: auto;
    position: relative;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur") 5 5, auto;
}

.menu-button img {
    height: 60%;
    width: auto;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    transition: .3s ease;
}

.menu-button.active img {
    top: 50%;
    transform: translate(-50%, -50%) rotate(180deg);
}

/* Contact Hero style */

#contact_main{
    height: 80vh;
    min-height: 800px;
    border-bottom: 1px #EBEBEB solid;
    display: grid;
    align-items: end;
}

#contact_main_hero{
    display: flex;
    height: 100%;
    width: 100%;
    flex-direction: column-reverse;
    justify-content: center;
    gap: 5vh;
    align-items: center;
}

#contact_main_sub{
    display: none;
}

#contact_main_hero h1{
    border-top: #EBEBEB 1px solid;
    border-bottom: #EBEBEB 1px solid;
}

#contact_main_hero img{
    height: auto;
    width: 80%;
    margin-right: 0px;
}

/* Contact form */

#cta_container{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: start;
    margin: 4%;
}

#encouraging_Text{
    margin-top: 10vh;
    margin-bottom: 10vh;
}

#encouraging_Text_title{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 90vw;
    gap: 2vw;
}

#encouraging_Text_title img{
    width: 10vw;
}

#encouraging_Text_title h1{
    font-size: 8vw;
}

#encouraging_Text h2{
    font-size: 3vw;
    font-weight: 100;
    width: 100%;
}

#contact_form{
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#contact_form h1{
    margin-top: 2vh;
    font-size: 3vw;
    font-weight: 400;
    align-self: start;
}

#contact_form input{
    width: 80vw;
    height: 40px;
    background-color: #ebebeb28;
    border: none;
    margin-top: 1vh;
    padding-inline: 1rem;
    font-family: "Space grotesk", sans-serif;
    font-size: 16px;
}

#contact_form textarea{
    width: 80vw;
    height: 100px;
    background-color: #ebebeb28;
    border: none;
    margin-top: 1vh;
    padding-inline: 1rem;
    padding-top: 2vh;
    font-family: "Space grotesk", sans-serif;
    font-size: 16px;
    resize: none;
}

#submit_button{
    border: 3px #EBEBEB solid;
    width: 100%;
    height: 40px;
    background-color: #111010;
    font-family: "Space grotesk", sans-serif;
    font-size: 3vw;
    margin-top: 2vh;
}

/* Newsletter section styles */

#Newsletter_section{
    height: 30vh;
    min-height: 150px;
    max-height: 200px;
    margin-bottom: 10vh;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    padding:0px;
}

#Newsletter_title{
    font-size: 3vw;
    margin: 0px;
    text-align: center;
}

#Newsletter_description{
    font-size: 2vw;
    width: 100%;
}

#email_input_container{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 80%;
}

#email_input{
    display: flex;
    justify-content: space-between;
    align-items: center;
    border: #111010 1px solid;
    padding: 5px;
    border-radius: 50px 0px 0px 50px;
    width: 100%;
}

#email_input input{
    font-size: 2vw;
    height: 40px;
}

#CTA5{
    height: 40px;
    width: 120px;
}

#CTA5 h1{
    font-size: 1.8vw;
}



/* Social media section styles */

#notif_quote_slider{
    height: 7vh;
    min-height: 60px;
    border-top: 1px #EBEBEB solid;
    display: flex;
    align-items: center;
}

#notif_quote h1{
    font-family: "Pixelify sans", sans-serif;
    font-size: 3vw;
    letter-spacing: 30%;
}

#notif_quote img{
    width: 4vw;
}

#notif_slider_2{
    height: 7vh;
    min-height: 60px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: #EBEBEB;
    border-top:1px #111010 solid;
    border-bottom:1px #111010 solid;
}

#notif_quote_slider_2{
    height: 7vh;
    min-height: 60px;
    border-bottom: 1px #EBEBEB solid;
}

#social_container{
    border: none;
    height: 6vh;
    width: 6vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Footer section styles */

#Copyright_section{
    padding-inline: 2%;
}

#Copyright_text h1{
    font-size: 1.5vw;
}

#Copyright_text h2{
    color: #9370DB;
    font-size: 1.5vw;
}

#footer_logo img{
    height: 30px;
    margin-right: 1vw;
}

#footer_logo h1{
    font-size: 2VW;
    font-weight: 500;
}
}





/* Style for Screens under 500px width */

@media (max-width:500px) {

/* Hero section styles */

/* Navbar style */

.hidden-menu a{
    font-size: 7vw;
}

.hidden-menu.active a{
    font-size: 7vw;
}

body.menu-open{
    overflow: hidden;
}

/* Contact Hero style */

#contact_main{
    height: 80vh;
    min-height: auto;
    border-bottom: 1px #EBEBEB solid;
    display: grid;
    align-items: end;
}

#contact_main_hero{
    display: flex;
    height: 100%;
    width: 100%;
    flex-direction: column-reverse;
    justify-content: center;
    gap: 20vh;
    align-items: center;
}

#contact_quote_slider{
    width: 100%;
    position: absolute;
    z-index: 30;
    overflow: hidden;
    background-color: #111010;
}

#contact_quote_track{
    display: flex;
    width: max-content;
    animation: scrollLeft 15s linear infinite;
}

#contact_main_hero h1{
    font-size: 10vw;
    font-family: "Pixelify sans", sans-serif;
    padding-right: 15vw;
}

#contact_main_sub{
    display: none;
}

#contact_main_hero img{
    height: auto;
    width: 80%;
    margin-right: 0px;
}


/* Newsletter section styles */

#Newsletter_section{
    height: 120px;
    min-height: 120px;
    margin-bottom: 10vh;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    padding:0px;
}

#Newsletter_title{
    font-size: 4vw;
}

#Newsletter_description{
    font-size: 2vw;
}

#email_input input{
    font-size: 3vw;
    height: 20px;
}

#CTA5{
    height: 20px;
    width: 80px;
}

#CTA5 h1{
    font-size: 2vw;
}


/* Social media section styles */

#notif_quote h1{
    font-size: 4vw;
}

#notif_quote img{
    width: 5vw;
}

#notif_slider_2{
    height: 7vh;
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: #EBEBEB;
    border-top:1px #111010 solid;
    border-bottom:1px #111010 solid;
}

#social_container{
    border: none;
    height: 6vh;
    width: 6vh;
    display: flex;
    justify-content: center;
    align-items: center;
}


/* Footer section styles */

#main_footer{
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-auto-rows: auto;
    margin-inline: 2%;
    padding-bottom: 10vh;
}

#footer_description div h1{
    font-size: 4vw;
}

#footer_description_text{
    font-size: 2vw;
}

#footer_links{
    height: 100px;
    width: auto;
    display: grid;
    gap: 1.8vh;
}

#footer_links h1{
    font-family: "Space grotesk", sans-serif;
    font-size: 2.2vw;
    font-weight: 500;
}

#footer_links h2{
    font-family: "Space grotesk", sans-serif;
    font-size: 2.2vw;
    font-weight: 300;
}

#footer_logo img{
    height: 20px;
}
}